aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetService

Synopsis

- data GetService = GetService
- data GetServiceResponse = GetServiceResponse {
  - gsrOwner :: UserInfo
  - gsrBuckets :: [BucketInfo]
  }

# Documentation

data GetService #

Constructors

GetService |

Instances

SignQuery GetService # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration GetService :: * -> * # Methods signQuery :: GetService -> ServiceConfiguration GetService queryType -> SignatureData -> SignedQuery #
Transaction GetService GetServiceResponse # |
type ServiceConfiguration GetService # |
type ServiceConfiguration GetService = S3Configuration

data GetServiceResponse #

Constructors

GetServiceResponse |
Fields gsrOwner :: UserInfo gsrBuckets :: [BucketInfo]

Instances

Show GetServiceResponse # |
Methods showsPrec :: Int -> GetServiceResponse -> ShowS # show :: GetServiceResponse -> String # showList :: [GetServiceResponse] -> ShowS #
AsMemoryResponse GetServiceResponse # |
Associated Types type MemoryResponse GetServiceResponse :: * # Methods loadToMemory :: GetServiceResponse -> ResourceT IO (MemoryResponse GetServiceResponse) #
Transaction GetService GetServiceResponse # |
ResponseConsumer r GetServiceResponse # |
Associated Types type ResponseMetadata GetServiceResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata GetServiceResponse) -> HTTPResponseConsumer GetServiceResponse #
type MemoryResponse GetServiceResponse # |
type MemoryResponse GetServiceResponse = GetServiceResponse
type ResponseMetadata GetServiceResponse # |
type ResponseMetadata GetServiceResponse = S3Metadata